Subject: Re: bug#25223: chmod +w does not work

From: Eugen Dedu <[email-masked]>
Date: Sun, 18 Dec 2016 18:45:43 +0100

On 18/12/16 18:34, Pádraig Brady wrote:
> tag 25223 notabug
> close 25223
> stop
>
> On 18/12/16 12:37, Eugen Dedu wrote:
>> Hi,
>>
>> chmod +w file does not work:
>>
>> snoopy:~$ touch ff
>> snoopy:~$ ls -l ff
>> -rw-r--r-- 1 ededu ededu 0 Dec 18 13:31 ff
>> snoopy:~$ chmod +w ff
>> snoopy:~$ ls -l ff
>> -rw-r--r-- 1 ededu ededu 0 Dec 18 13:31 ff
>> snoopy:~$ chmod +x ff
>> snoopy:~$ ls -l ff
>> -rwxr-xr-x 1 ededu ededu 0 Dec 18 13:31 ff
>> snoopy:~$ chmod --version
>> chmod (GNU coreutils) 8.26
>
>>>From the man page, taking particular note of the last line...
>
> "A  combination  of the letters ugoa controls which users' access to the
> file will be changed: the user who owns it  (u),  other  users  in  the
> file's group (g), other users not in the file's group (o), or all users
> (a).  If none of these are given, the effect is as if (a)  were  given,
> but bits that are set in the umask are not affected."

Ah, I see now (I have read the man without paying particular attention 
to that line).

I wonder why I have not seen this particularity until now; I looked back 
at version 5.2.1 and this line in the man page was still there...  Is 
there a rationale for this, i.e. chmod to use umask?

Thank you,
-- 
Eugen